---
schema_version: "1"
id: fceb07b3b3ebfc748ae4201c2ba9546355da86593c11f8747d2007eac972c9b0
title: Clinical Diagnostics
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/health/references/generated-api-specs/clinical_diagnostics.md
canonical_url: https://developer.salesforce.com/docs/industries/health/references/clinical_diagnostics
source_site: developer.salesforce.com
content_type: documentation
content_hash: 21f4f4971a31e5e46a1121bee6a340c41393d4ecb12d7e11fc0e84290abae66a
products:
  - Salesforce Healthcare API
  - Industries Integrations
---
Clinical Diagnostics

# Clinical Diagnostics

Use the FHIR R4 Clinical Diagnostics API to manage the Observation, DiagnosticReport, and DocumentReference resources. The Observation resource records details, such as clinical laboratory data and vital signs. The DiagnosticReport resource provides details related to a diagnostic service such as a Radiology report or Pathology report. The DocumentReference resource indexes a document, clinical note, and other binary objects to make them available to a healthcare system.

**Version:** v1

Protocols: https.

## Operations

### GET Retrieves all observations

`GET /Observation`

Retrieves a set of resources by using filters.

#### Parameters

*   `code` (query, string) The code of the observation type.
*   `patient` (query, string) The subject that the observation is about if subject is a patient.
*   `X-CORRELATION-ID` (header, string)

#### Responses

*   **200**
    
    Media type: `application/fhir+json`. Schema: `ObservationBundle`.
    
    Contains a collection of resources.
    
    *   Rule: total only for search results or history.
    *   Rule: entry.search only for a search request.
    *   Rule: entry.request mandatory for batch, transaction, or history, else prohibited.
    *   Rule: entry.response mandatory for batch-response, transaction-response, or history, else prohibited.
    *   Rule: FullUrl must be unique in a bundle, or else entries with the same fullUrl must have different meta.versionId (except in history bundles).
    *   Rule: A document must have an identifier with a system and a value.
    *   Rule: A document must have a date.
    *   Rule: A document must have a Composition resource as the first resource.
    *   Rule: A message must have a MessageHeader resource as the first resource. Elements defined in Ancestors: id, meta, implicitRules, and language.
    
    _Example_
    
    ```
    {
        "resourceType": "Bundle",
        "id": "5410528a-15ed-45cc-b18a-fe87f65ca2b7",
        "meta": {
            "lastUpdated": "2023-08-08T10:03:38.569Z"
        },
        "type": "searchset",
        "total": 1,
        "link": [
            {
                "relation": "self",
                "url": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/Observation?code=http://loinc.org%7C57837-99&patient=001RO00000AzQZ9YAN"
            }
        ],
        "entry": [
            {
                "fullUrl": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/Observation/0hIRO00000006zf2AA",
                "search": {
                    "mode": "match"
                },
                "resource": {
                    "resourceType": "Observation",
                    "id": "0hIRO00000006zf2AA",
                    "name": "Observation Data",
                    "status": "final",
                    "category": [
                        {
                            "coding": [
                                {
                                    "code": "vital-sign",
                                    "system": "http://terminology.hl7.org/CodeSystem/observation-category"
                                }
                            ]
                        }
                    ],
                    "code": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "57837-99",
                                "display": "Body weight"
                            }
                        ]
                    },
                    "subject": {
                        "reference": "Patient/001RO00000AzQZ9YAN"
                    },
                    "effectivePeriod": {
                        "start": "2008-07-17T23:23:00.000Z",
                        "end": "2009-07-17T23:23:00.000Z"
                    },
                    "issued": "2004-05-13T15:49:49.000Z",
                    "performer": [{
                        "reference": "Patient/001RO00000AzQZ9YAN",
                        "type": "Patient"
                    }],
                    "bodySite": {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "65904435",
                                "display": "Left external ear structure"
                            }
                        ],
                        "text": "Left external ear structure"
                    },
                    "interpretation": [
                        {
                            "coding": [
                                {
                                    "code": "468359832"
                                }
                            ]
                        }
                    ],
                    "method": {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "867859167",
                                "display": "Negative"
                            },
                            {
                                "system": "https://acme.lab/resultcodes",
                                "code": "KAG1",
                                "display": "Negative"
                            }
                        ],
                        "text": "Negative"
                    },
                    "referenceRange": [
                        {
                            "low": {
                                "value": 7.9
                            },
                            "high": {
                                "value": 72.95
                            },
                            "text": "Negative for Chlamydia Trachomatis rRNA"
                        }
                    ],
                    "component": [
                        {
                            "name": "Observatioon Component Data",
                            "code": {
                                "coding": [
                                    {
                                        "system": "http://loinc.org",
                                        "code": "745968-97",
                                        "display": "Body weight"
                                    }
                                ],
                                "text": "Body weight"
                            },
                            "dataAbsentReason": {
                                "coding": [
                                    {
                                        "code": "157183"
                                    }
                                ]
                            },
                            "interpretation": [
                                {
                                    "coding": [
                                        {
                                            "system": "http://snomed.info/sct",
                                            "code": "768976-09",
                                            "display": "Negative"
                                        },
                                        {
                                            "system": "https://acme.lab/resultcodes",
                                            "code": "DFG1",
                                            "display": "Negative"
                                        }
                                    ],
                                    "text": "Negative"
                                }
                            ],
                            "referenceRange": [
                                {
                                    "low": {
                                        "value": 7.81,
                                        "unit": "mm",
                                        "code": "mm[Hg]"
                                    },
                                    "high": {
                                        "value": 72.96,
                                        "unit": "mm",
                                        "code": "mm[Hg]"
                                    },
                                    "text": "Negative for Chlamydia Trachomatis rRNA"
                                }
                            ],
                            "valueQuantity": {
                                "value": 99.94,
                                "unit": "ratio",
                                "code": "ratio"
                            }
                        }
                    ],
                    "valueBoolean": "false"
                }
            }
        ]
    }
    ```
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example_
    
    ```
    {
        "resourceType": "OperationOutcome",
        "issue": [
            {
                "severity": "error",
                "code": "code-invalid",
                "details": {
                    "text": "DiagnosticReport details not found."
                }
            }
        ]
    }
    ```
    

### POST Creates an observation

`POST /Observation`

Creates an Observation, DiagnosticReport, or DocumentReference record.

#### Parameters

*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Request body

Media type: `application/fhir+json`. Schema: `Observation`.

Specifies the base resource.

_Example_

```
{
    "resourceType": "Observation",
    "name": "Observation Data",
    "status": "final",
    "category": [
        {
            "coding": [
                {
                    "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                    "code": "vital-sign",
                    "display": "vital-sign"
                }
            ]
        }
    ],
    "code": {
        "coding": [
            {
                "system": "http://loinc.org",
                "code": "57837-99",
                "display": "Body weight"
            },
            {
                "system": "http://loinc.org",
                "code": "57067-96",
                "display": "Body weight"
            },
            {
                "system": "http://loinc.org",
                "code": "56877-97",
                "display": "Body weight"
            }
        ],
        "text": "Body weight"
    },
    "subject": {
        "reference": "Patient/001RO00000AzQZ9YAN"
    },
    
    "effectivePeriod": {
        "start": "2008-07-18T09:23:00+10:00",
        "end": "2009-07-18T09:23:00+10:00"
    },
    "issued": "2004-05-13T10:49:49.073-05:00",
    "performer": [
        {
            "reference": "Account/001RO00000AzQZ9YAN",
            "display": "Dr Henry Seven"
        }
    ],
    "valueQuantity": {
    "value": 99.97,
    "system": "http://unitsofmeasure.org",
    "code": "ratio"
  },
  
    "interpretation": [
        {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "468359832",
                    "display": "Negative"
                },
                {
                    "system": "https://acme.lab/resultcodes",
                    "code": "GTN",
                    "display": "Negative"
                }
            ],
            "text": "Negative for Chlamydia Trachomatis rRNA"
        }
    ],
    "bodySite": {
        "coding": [
            {
                "system": "http://snomed.info/sct",
                "code": "65904435",
                "display": "Left external ear structure"
            }
        ],
        "text": "Left Ear"
    },
    "method": {
        "coding": [
            {
                "system": "http://snomed.info/sct",
                "code": "867859167",
                "display": "Negative"
            },
            {
                "system": "https://acme.lab/resultcodes",
                "code": "KAG1",
                "display": "Negative"
            }
        ],
        "text": "Negative for Chlamydia Trachomatis rRNA"
    },
    "referenceRange": [
        {
            "low": {
                "value": 7.9,
                "unit": "mm[Hg]",
                "code": "mm"
            },
            "high": {
                "value": 72.95,
                "unit": "mm[Hg]",
                "code": "mm"
            },
            "text": "Negative for Chlamydia Trachomatis rRNA"
        }
    ],
	"component": [{
        "name": "Observatioon Component Data",
		"code": {
			"coding": [{
				"system": "http://loinc.org",
				"code": "745968-97",
				"display": "Body weight"
			}],
			"text": "Body weight"
		},
	"valueQuantity": {
    "value": 99.94,
    "system": "http://unitsofmeasure.org",
    "code": "ratio"
  },
		
		"dataAbsentReason": {
			"coding": [{
				"system": "http://snomed.info/sct",
				"code": "157183",
				"display": "Negative"
			}, {
				"system": "https://acme.lab/resultcodes",
				"code": "FYA",
				"display": "Negative"
			}],
			"text": "Negative for Chlamydia Trachomatis rRNA"
		},
		"interpretation": [{
			"coding": [{
				"system": "http://snomed.info/sct",
				"code": "768976-09",
				"display": "Negative"
			}, {
				"system": "https://acme.lab/resultcodes",
				"code": "DFG1",
				"display": "Negative"
			}],
			"text": "Negative for Chlamydia Trachomatis rRNA"
		}],
		"referenceRange": [{
			"low": {
				"value": 7.81,
				"unit": "mm[Hg]",
				"code": "mm"
			},
			"high": {
				"value": 72.96,
				"unit": "mm[Hg]",
				"code": "mm"
			},
			"text": "Negative for Chlamydia Trachomatis rRNA"

		}]
	}]
}
```

#### Responses

*   **201** No match found. Resource created.
    
    Headers:
    
    *   `Location` (string, required) Specifies the URL where the resource can be fetched in subsequent requests.  
        Example: `http://xxx/Observation/123`.
    
    Media type: `application/fhir+json`. Schema: `Observation (extended)`.
    
    Specifies the base resource.
    
    Includes all fields of `Observation`.
    
    *   `id` (_string_) Specifies the ID of the created object.  
        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
    
    _Example_
    
    ```
    {
        "resourceType": "Observation",
        "name": "Observation Data",
        "status": "final",
        "category": [
            {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                        "code": "vital-sign",
                        "display": "vital-sign"
                    }
                ]
            }
        ],
        "code": {
            "coding": [
                {
                    "system": "http://loinc.org",
                    "code": "57837-99",
                    "display": "Body weight"
                },
                {
                    "system": "http://loinc.org",
                    "code": "57067-96",
                    "display": "Body weight"
                },
                {
                    "system": "http://loinc.org",
                    "code": "56877-97",
                    "display": "Body weight"
                }
            ],
            "text": "Body weight"
        },
        "subject": {
            "reference": "Patient/001RO00000AzQZ9YAN"
        },
        
        "effectivePeriod": {
            "start": "2008-07-18T09:23:00+10:00",
            "end": "2009-07-18T09:23:00+10:00"
        },
        "issued": "2004-05-13T10:49:49.073-05:00",
        "performer": [
            {
                "reference": "Account/001RO00000AzQZ9YAN",
                "display": "Dr Henry Seven"
            }
        ],
        "valueQuantity": {
        "value": 99.97,
        "system": "http://unitsofmeasure.org",
        "code": "ratio"
      },
      
        "interpretation": [
            {
                "coding": [
                    {
                        "system": "http://snomed.info/sct",
                        "code": "468359832",
                        "display": "Negative"
                    },
                    {
                        "system": "https://acme.lab/resultcodes",
                        "code": "GTN",
                        "display": "Negative"
                    }
                ],
                "text": "Negative for Chlamydia Trachomatis rRNA"
            }
        ],
        "bodySite": {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "65904435",
                    "display": "Left external ear structure"
                }
            ],
            "text": "Left Ear"
        },
        "method": {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "867859167",
                    "display": "Negative"
                },
                {
                    "system": "https://acme.lab/resultcodes",
                    "code": "KAG1",
                    "display": "Negative"
                }
            ],
            "text": "Negative for Chlamydia Trachomatis rRNA"
        },
        "referenceRange": [
            {
                "low": {
                    "value": 7.9,
                    "unit": "mm[Hg]",
                    "code": "mm"
                },
                "high": {
                    "value": 72.95,
                    "unit": "mm[Hg]",
                    "code": "mm"
                },
                "text": "Negative for Chlamydia Trachomatis rRNA"
            }
        ],
    	"component": [{
            "name": "Observatioon Component Data",
    		"code": {
    			"coding": [{
    				"system": "http://loinc.org",
    				"code": "745968-97",
    				"display": "Body weight"
    			}],
    			"text": "Body weight"
    		},
    	"valueQuantity": {
        "value": 99.94,
        "system": "http://unitsofmeasure.org",
        "code": "ratio"
      },
    		
    		"dataAbsentReason": {
    			"coding": [{
    				"system": "http://snomed.info/sct",
    				"code": "157183",
    				"display": "Negative"
    			}, {
    				"system": "https://acme.lab/resultcodes",
    				"code": "FYA",
    				"display": "Negative"
    			}],
    			"text": "Negative for Chlamydia Trachomatis rRNA"
    		},
    		"interpretation": [{
    			"coding": [{
    				"system": "http://snomed.info/sct",
    				"code": "768976-09",
    				"display": "Negative"
    			}, {
    				"system": "https://acme.lab/resultcodes",
    				"code": "DFG1",
    				"display": "Negative"
    			}],
    			"text": "Negative for Chlamydia Trachomatis rRNA"
    		}],
    		"referenceRange": [{
    			"low": {
    				"value": 7.81,
    				"unit": "mm[Hg]",
    				"code": "mm"
    			},
    			"high": {
    				"value": 72.96,
    				"unit": "mm[Hg]",
    				"code": "mm"
    			},
    			"text": "Negative for Chlamydia Trachomatis rRNA"
    
    		}]
    	}],
    "id": "123"
    }
    ```
    
*   **400** Precondition failed error indicating insufficient client criteria.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### GET Retrieves an observation by ID

`GET /Observation/{id}`

Retrieves the current content of a resource.

#### Parameters

*   `id` (path, id, required)
*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Responses

*   **200**
    
    Media type: `application/fhir+json`. Schema: `Observation`.
    
    Specifies the base resource.
    
    _Example_
    
    ```
    {
        "resourceType": "Observation",
        "id": "0hIRO000000072K2AQ",
        "name": "Observation Data",
        "status": "final",
        "category": [
            {
                "coding": [
                    {
                        "code": "vital-sign",
                        "system": "http://terminology.hl7.org/CodeSystem/observation-category"
                    }
                ]
            }
        ],
        "code": {
            "coding": [
                {
                    "system": "http://loinc.org",
                    "code": "57837-99",
                    "display": "Body weight"
                }
            ]
        },
        "subject": {
            "reference": "Patient/001RO00000AzQZ9YAN"
        },
        "effectivePeriod": {
            "start": "2008-07-17T23:23:00.000Z",
            "end": "2009-07-17T23:23:00.000Z"
        },
        "issued": "2004-05-13T15:49:49.000Z",
        "performer": [{
            "reference": "Patient/001RO00000AzQZ9YAN",
            "type": "Patient"
        }],
        "bodySite": {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "65904435",
                    "display": "Left external ear structure"
                }
            ],
            "text": "Left external ear structure"
        },
        "interpretation": [
            {
                "coding": [
                    {
                        "code": "468359832"
                    }
                ]
            }
        ],
        "method": {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "867859167",
                    "display": "Negative"
                },
                {
                    "system": "https://acme.lab/resultcodes",
                    "code": "KAG1",
                    "display": "Negative"
                }
            ],
            "text": "Negative"
        },
        "referenceRange": [
            {
                "low": {
                    "value": 7.9,
                    "unit": "mm",
                    "code": "mm[Hg]"
                },
                "high": {
                    "value": 72.95,
                    "unit": "mm",
                    "code": "mm[Hg]"
                },
                "text": "Negative for Chlamydia Trachomatis rRNA"
            }
        ],
        "component": [
            {
                "name": "Observatioon Component Data",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "745968-97",
                            "display": "Body weight"
                        }
                    ],
                    "text": "Body weight"
                },
                "dataAbsentReason": {
                    "coding": [
                        {
                            "code": "157183"
                        }
                    ]
                },
                "interpretation": [
                    {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "768976-09",
                                "display": "Negative"
                            },
                            {
                                "system": "https://acme.lab/resultcodes",
                                "code": "DFG1",
                                "display": "Negative"
                            }
                        ],
                        "text": "Negative"
                    }
                ],
                "referenceRange": [
                    {
                        "low": {
                            "value": 7.81,
                            "unit": "mm",
                            "code": "mm[Hg]"
                        },
                        "high": {
                            "value": 72.96,
                            "unit": "mm",
                            "code": "mm[Hg]"
                        },
                        "text": "Negative for Chlamydia Trachomatis rRNA"
                    }
                ],
                "valueQuantity": {
                    "value": 99.94,
                    "unit": "ratio",
                    "code": "ratio"
                }
            }
        ],
        "valueQuantity": {
            "value": 99.97,
            "unit": "ratio",
            "code": "ratio"
        }
    }
    ```
    
*   **404**
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### PUT Updates an observation by ID

`PUT /Observation/{id}`

Creates an Observation, DiagnosticReport, or DocumentReference record if no record exists for the specified ID or updates an existing record.

#### Parameters

*   `id` (path, id, required)
*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Request body

Media type: `application/fhir+json`. Schema: `Observation`.

Specifies the base resource.

_Example_

```
{
    "resourceType": "Observation",
    "name": "Observation Data",
	"id": "123",
    "status": "final",
    "category": [
        {
            "coding": [
                {
                    "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                    "code": "vital-sign",
                    "display": "vital-sign"
                }
            ]
        }
    ],
    "code": {
        "coding": [
            {
                "system": "http://loinc.org",
                "code": "57837-99",
                "display": "Body weight"
            },
            {
                "system": "http://loinc.org",
                "code": "57067-96",
                "display": "Body weight"
            },
            {
                "system": "http://loinc.org",
                "code": "56877-97",
                "display": "Body weight"
            }
        ],
        "text": "Body weight"
    },
    "subject": {
        "reference": "Patient/001RO00000AzQZ9YAN"
    },
    
    "effectivePeriod": {
        "start": "2008-07-18T09:23:00+10:00",
        "end": "2009-07-18T09:23:00+10:00"
    },
    "issued": "2004-05-13T10:49:49.073-05:00",
    "performer": [
        {
            "reference": "Account/001RO00000AzQZ9YAN",
            "display": "Dr Henry Seven"
        }
    ],
    "valueQuantity": {
    "value": 99.97,
    "system": "http://unitsofmeasure.org",
    "code": "ratio"
  },
  
    "interpretation": [
        {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "468359832",
                    "display": "Negative"
                },
                {
                    "system": "https://acme.lab/resultcodes",
                    "code": "GTN",
                    "display": "Negative"
                }
            ],
            "text": "Negative for Chlamydia Trachomatis rRNA"
        }
    ],
    "bodySite": {
        "coding": [
            {
                "system": "http://snomed.info/sct",
                "code": "65904435",
                "display": "Left external ear structure"
            }
        ],
        "text": "Left Ear"
    },
    "method": {
        "coding": [
            {
                "system": "http://snomed.info/sct",
                "code": "867859167",
                "display": "Negative"
            },
            {
                "system": "https://acme.lab/resultcodes",
                "code": "KAG1",
                "display": "Negative"
            }
        ],
        "text": "Negative for Chlamydia Trachomatis rRNA"
    },
    "referenceRange": [
        {
            "low": {
                "value": 7.9,
                "unit": "mm[Hg]",
                "code": "mm"
            },
            "high": {
                "value": 72.95,
                "unit": "mm[Hg]",
                "code": "mm"
            },
            "text": "Negative for Chlamydia Trachomatis rRNA"
        }
    ],
	"component": [{
        "name": "Observatioon Component Data",
		"code": {
			"coding": [{
				"system": "http://loinc.org",
				"code": "745968-97",
				"display": "Body weight"
			}],
			"text": "Body weight"
		},
	"valueQuantity": {
    "value": 99.94,
    "system": "http://unitsofmeasure.org",
    "code": "ratio"
  },
		
		"dataAbsentReason": {
			"coding": [{
				"system": "http://snomed.info/sct",
				"code": "157183",
				"display": "Negative"
			}, {
				"system": "https://acme.lab/resultcodes",
				"code": "FYA",
				"display": "Negative"
			}],
			"text": "Negative for Chlamydia Trachomatis rRNA"
		},
		"interpretation": [{
			"coding": [{
				"system": "http://snomed.info/sct",
				"code": "768976-09",
				"display": "Negative"
			}, {
				"system": "https://acme.lab/resultcodes",
				"code": "DFG1",
				"display": "Negative"
			}],
			"text": "Negative for Chlamydia Trachomatis rRNA"
		}],
		"referenceRange": [{
			"low": {
				"value": 7.81,
				"unit": "mm[Hg]",
				"code": "mm"
			},
			"high": {
				"value": 72.96,
				"unit": "mm[Hg]",
				"code": "mm"
			},
			"text": "Negative for Chlamydia Trachomatis rRNA"

		}]
	}]
}
```

#### Responses

*   **200** Request was successful.
    
    Headers:
    
    *   `Location` (string, required) Specifies the URL where the resource can be fetched in subsequent requests.  
        Example: `http://xxx/Observation/123`.
    
    Media type: `application/fhir+json`. Schema: `Observation (extended)`.
    
    Specifies the base resource.
    
    Includes all fields of `Observation`.
    
    *   `id` (_string_, required) Specifies the ID of the created or updated resource.  
        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
    
    _Example_
    
    ```
    {
        "resourceType": "Observation",
        "id": "0hIRO000000072K2AQ",
        "name": "Observation Data",
        "status": "final",
        "category": [
            {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                        "code": "vital-sign",
                        "display": "vital-sign"
                    }
                ]
            }
        ],
        "code": {
            "coding": [
                {
                    "system": "http://loinc.org",
                    "code": "57837-99",
                    "display": "Body weight"
                },
                {
                    "system": "http://loinc.org",
                    "code": "57067-96",
                    "display": "Body weight"
                },
                {
                    "system": "http://loinc.org",
                    "code": "56877-97",
                    "display": "Body weight"
                }
            ],
            "text": "Body weight"
        },
        "subject": {
            "reference": "Patient/001RO00000AzQZ9YAN"
        },
        
        "effectivePeriod": {
            "start": "2008-07-18T09:23:00+10:00",
            "end": "2009-07-18T09:23:00+10:00"
        },
        "issued": "2004-05-13T10:49:49.073-05:00",
        "performer": [
            {
                "reference": "Account/001RO00000AzQZ9YAN",
                "display": "Dr Henry Seven"
            }
        ],
        "valueQuantity": {
        "value": 99.97,
        "system": "http://unitsofmeasure.org",
        "code": "ratio"
      },
      
        "interpretation": [
            {
                "coding": [
                    {
                        "system": "http://snomed.info/sct",
                        "code": "468359832",
                        "display": "Negative"
                    },
                    {
                        "system": "https://acme.lab/resultcodes",
                        "code": "GTN",
                        "display": "Negative"
                    }
                ],
                "text": "Negative for Chlamydia Trachomatis rRNA"
            }
        ],
        "bodySite": {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "65904435",
                    "display": "Left external ear structure"
                }
            ],
            "text": "Left Ear"
        },
        "method": {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "867859167",
                    "display": "Negative"
                },
                {
                    "system": "https://acme.lab/resultcodes",
                    "code": "KAG1",
                    "display": "Negative"
                }
            ],
            "text": "Negative for Chlamydia Trachomatis rRNA"
        },
        "referenceRange": [
            {
                "low": {
                    "value": 7.9,
                    "unit": "mm[Hg]",
                    "code": "mm"
                },
                "high": {
                    "value": 72.95,
                    "unit": "mm[Hg]",
                    "code": "mm"
                },
                "text": "Negative for Chlamydia Trachomatis rRNA"
            }
        ],
    	"component": [{
            "name": "Observatioon Component Data",
    		"code": {
    			"coding": [{
    				"system": "http://loinc.org",
    				"code": "745968-97",
    				"display": "Body weight"
    			}],
    			"text": "Body weight"
    		},
    	"valueQuantity": {
        "value": 99.94,
        "system": "http://unitsofmeasure.org",
        "code": "ratio"
      },
    		
    		"dataAbsentReason": {
    			"coding": [{
    				"system": "http://snomed.info/sct",
    				"code": "157183",
    				"display": "Negative"
    			}, {
    				"system": "https://acme.lab/resultcodes",
    				"code": "FYA",
    				"display": "Negative"
    			}],
    			"text": "Negative for Chlamydia Trachomatis rRNA"
    		},
    		"interpretation": [{
    			"coding": [{
    				"system": "http://snomed.info/sct",
    				"code": "768976-09",
    				"display": "Negative"
    			}, {
    				"system": "https://acme.lab/resultcodes",
    				"code": "DFG1",
    				"display": "Negative"
    			}],
    			"text": "Negative for Chlamydia Trachomatis rRNA"
    		}],
    		"referenceRange": [{
    			"low": {
    				"value": 7.81,
    				"unit": "mm[Hg]",
    				"code": "mm"
    			},
    			"high": {
    				"value": 72.96,
    				"unit": "mm[Hg]",
    				"code": "mm"
    			},
    			"text": "Negative for Chlamydia Trachomatis rRNA"
    
    		}]
    	}]
    }
    ```
    
*   **201** Created.
    
    Headers:
    
    *   `Location` (string, required) Specifies the URL where the resource can be fetched in subsequent requests.  
        Example: `http://xxx/Observation/123`.
    
    Media type: `application/fhir+json`. Schema: `Observation (extended)`.
    
    Specifies the base resource.
    
    Includes all fields of `Observation`.
    
    *   `id` (_string_, required) Specifies the ID of the created or updated resource.  
        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
    
    _Example: same as PUT /Observation/{id} 200 response._
    
*   **400** Resource can’t be parsed or failed basic FHIR validation rules.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### GET Retrieves all diagnostic reports

`GET /DiagnosticReport`

Retrieves a set of resources by using filters.

#### Parameters

*   `code` (query, string) Specifies the code for the report, as opposed to the codes for the atomic results, which are the names on the observation resource referred to from the result.
*   `patient` (query, string) Specifies the subject of the report if the subject is a patient.
*   `X-CORRELATION-ID` (header, string)

#### Responses

*   **200**
    
    Media type: `application/fhir+json`. Schema: `DiagnosticReportBundle`.
    
    An entry in the bundle includes a resource or information.
    
    *   Rule: The entry must be a resource unless there's a request or response.
    *   Rule: The fullUrl property can't be a version-specific reference. For bundles of the document and message types, the first resource must be Composition and MessageHeader resources, respectively. For all bundles, the meaning of the order of entries depends on the bundle type.
    
    _Example_
    
    ```
    {
        "resourceType": "Bundle",
        "id": "41c6ece8-e7d9-420c-9105-a0470079669b",
        "meta": {
            "lastUpdated": "2023-08-08T09:53:22.505Z"
        },
        "type": "searchset",
        "total": 4,
        "link": [
            {
                "relation": "self",
                "url": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/DiagnosticReport?patient=001RO00000AzQZ9YAN&code=urn:oid:1.2.840.114350.1.13.0.1.7.2.696580%7C1696"
            }
        ],
        "entry": [
            {
                "fullUrl": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/DiagnosticReport/0lQRO00000006ss2AA",
                "search": {
                    "mode": "match"
                },
                "resource": {
                    "resourceType": "DiagnosticReport",
                    "id": "0lQRO00000006ss2AA",
                    "status": "final",
                    "code": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "57567-99"
                            },
                            {
                                "system": "http://loinc.org",
                                "code": "57837-98"
                            },
                            {
                                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                                "code": "1696"
                            },
                            {
                                "system": "urn:oid:2.16.840.1.113883.6.96",
                                "code": "9564003"
                            }
                        ]
                    },
                    "subject": {
                        "reference": "Patient/001RO00000AzQZ9YAN"
                    }
                }
            },
            {
                "fullUrl": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/DiagnosticReport/0lQRO00000006sn2AA",
                "search": {
                    "mode": "match"
                },
                "resource": {
                    "resourceType": "DiagnosticReport",
                    "id": "0lQRO00000006sn2AA",
                    "status": "final",
                    "category": [
                        {
                            "coding": [
                                {
                                    "code": "Lab",
                                    "display": "Lab"
                                }
                            ]
                        }
                    ],
                    "code": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "57567-99"
                            },
                            {
                                "system": "http://loinc.org",
                                "code": "57837-98"
                            },
                            {
                                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                                "code": "1696"
                            },
                            {
                                "system": "urn:oid:2.16.840.1.113883.6.96",
                                "code": "9564003"
                            }
                        ]
                    },
                    "subject": {
                        "reference": "Patient/001RO00000AzQZ9YAN"
                    },
                    "effectivePeriod": {
                        "start": "2008-06-17T23:23:00.000Z",
                        "end": "2009-06-17T23:23:00.000Z"
                    },
                    "issued": "2019-05-28T14:21:00.000Z",
                    "result": [
                        {
                            "reference": "Observation/0hIRO000000072A2AQ"
                        }
                    ]
                }
            },
            {
                "fullUrl": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/DiagnosticReport/0lQRO00000006sx2AA",
                "search": {
                    "mode": "match"
                },
                "resource": {
                    "resourceType": "DiagnosticReport",
                    "id": "0lQRO00000006sx2AA",
                    "identifier": [
                        {
                            "use": "usual",
                            "value": "1066900",
                            "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.798268"
                        }
                    ],
                    "status": "final",
                    "category": [
                        {
                            "coding": [
                                {
                                    "code": "Lab",
                                    "display": "Lab"
                                }
                            ]
                        }
                    ],
                    "code": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "57567-99"
                            },
                            {
                                "system": "http://loinc.org",
                                "code": "57837-98"
                            },
                            {
                                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                                "code": "1696"
                            },
                            {
                                "system": "urn:oid:2.16.840.1.113883.6.96",
                                "code": "9564003"
                            }
                        ]
                    },
                    "subject": {
                        "reference": "Patient/001RO00000AzQZ9YAN"
                    },
                    "effectivePeriod": {
                        "start": "2008-06-17T23:23:00.000Z",
                        "end": "2009-06-17T23:23:00.000Z"
                    },
                    "issued": "2019-05-28T14:21:00.000Z",
                    "result": [
                        {
                            "reference": "Observation/0hIRO000000072A2AQ"
                        }
                    ]
                }
            },
            {
                "fullUrl": "https://healthcloud.lb.anypointdns.net/clinical-diagnostics/fhir-r4/v1/DiagnosticReport/0lQRO00000006si2AA",
                "search": {
                    "mode": "match"
                },
                "resource": {
                    "resourceType": "DiagnosticReport",
                    "id": "0lQRO00000006si2AA",
                    "status": "final",
                    "code": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "57567-99"
                            },
                            {
                                "system": "http://loinc.org",
                                "code": "57837-98"
                            },
                            {
                                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                                "code": "1696"
                            },
                            {
                                "system": "urn:oid:2.16.840.1.113883.6.96",
                                "code": "9564003"
                            }
                        ]
                    },
                    "subject": {
                        "reference": "Patient/001RO00000AzQZ9YAN"
                    }
                }
            }
        ]
    }
    ```
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### POST Creates a diagnostic report

`POST /DiagnosticReport`

Creates an Observation, DiagnosticReport, or DocumentReference record.

#### Parameters

*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Request body

Media type: `application/fhir+json`. Schema: `DiagnosticReport`.

Specifies the base resource.

_Example_

```
{
    "resourceType": "DiagnosticReport",
    "identifier": [
        {
            "use": "official",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                        "code": "PLAC",
                        "display": "Placer Identifier"
                    }
                ],
                "text": "Placer Identifier"
            },
            "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.798268",
            "value": "1066900"
        },
        {
            "use": "usual",
            "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.798268",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                        "code": "MOPA",
                        "display": "Misses"
                    }
                ]
            },
            "value": "18-4438749"
        }
    ],
    "status": "final",
    "category": [
        {
            "coding": [
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                },
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                }
            ],
            "text": "Lab"
        },
        {
            "coding": [
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                },
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                }
            ],
            "text": "Lab"
        }
    ],
    "code": {
        "coding": [
            {
                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                "code": "1696",
                "display": "CBC AND DIFFERENTIAL"
            },
            {
                "system": "urn:oid:2.16.840.1.113883.6.96",
                "code": "9564003",
                "display": "CBC AND DIFFERENTIAL"
            }
        ],
        "text": "CBC and differential"
    },
    "subject": {
        "reference": "Patient/001RO00000AzQZ9YAN",
        "display": "Lopez, Camila Maria"
    },
    
    "effectivePeriod": {
        "start": "2008-06-18T09:23:00+10:00",
        "end": "2009-06-18T09:23:00+10:00"
    },
    "issued": "2019-05-28T14:21:00Z",
    "result": [
        {
            "reference": "Observation/0hIRO000000072A2AQ",
            "display": "Component (1): LEUKOCYTES(10*3/UL) IN BLOOD BY AUTOMATED COUNT"
        },
        {
            "reference": "Observation/0hIRO000000072A2AQ",
            "display": "Component (1): LEUKOCYTES(10*3/UL) IN BLOOD BY AUTOMATED COUNT"
        }
    ]
}
```

#### Responses

*   **201** No match found. Resource created.
    
    Headers:
    
    *   `Location` (string, required) Specifies the URL where the resource can be fetched in subsequent requests.  
        Example: `http://xxx/DiagnosticReport/123`.
    
    Media type: `application/fhir+json`. Schema: `DiagnosticReport (extended)`.
    
    Specifies the base resource.
    
    Includes all fields of `DiagnosticReport`.
    
    *   `id` (_string_) Specifies the ID of the created object.  
        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
    
    _Example_
    
    ```
    {
        "resourceType": "DiagnosticReport",
        "id": "0lQRO00000006sx2AA",
        "identifier": [
            {
                "use": "usual",
                "value": "1066900",
                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.798268"
            }
        ],
        "status": "final",
        "category": [
            {
                "coding": [
                    {
                        "code": "Lab",
                        "display": "Lab"
                    }
                ]
            }
        ],
        "code": {
            "coding": [
                {
                    "system": "http://loinc.org",
                    "code": "57567-99",
                    "display": "Body weight"
                },
                {
                    "system": "http://loinc.org",
                    "code": "57837-98",
                    "display": "Body weight"
                },
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                    "code": "1696",
                    "display": "CBC AND DIFFERENTIAL"
                },
                {
                    "system": "urn:oid:2.16.840.1.113883.6.96",
                    "code": "9564003",
                    "display": "CBC AND DIFFERENTIAL"
                }
            ],
            "text": "Body weight"
        },
        "subject": {
            "reference": "Patient/001RO00000AzQZ9YAN"
        },
        "effectivePeriod": {
            "start": "2008-06-17T23:23:00.000Z",
            "end": "2009-06-17T23:23:00.000Z"
        },
        "issued": "2019-05-28T14:21:00.000Z",
        "result": [
            {
                "reference": "Observation/0hIRO000000072A2AQ"
            }
        ]
    }
    ```
    
*   **400** Precondition failed error indicating insufficient client criteria.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### GET Retrieves a diagnostic report by ID

`GET /DiagnosticReport/{id}`

Retrieves the current content of a resource.

#### Parameters

*   `id` (path, id, required)
*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Responses

*   **200**
    
    Media type: `application/fhir+json`. Schema: `DiagnosticReport`.
    
    Specifies the base resource.
    
    _Example: same as POST /DiagnosticReport 201 response._
    
*   **404**
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### PUT Updates a diagnostic report by ID

`PUT /DiagnosticReport/{id}`

Creates an Observation, DiagnosticReport, or DocumentReference record if no record exists for the specified ID or updates an existing record.

#### Parameters

*   `id` (path, id, required)
*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Request body

Media type: `application/fhir+json`. Schema: `DiagnosticReport`.

Specifies the base resource.

_Example_

```
{
    "resourceType": "DiagnosticReport",
    "id": "123",
    "identifier": [
        {
            "use": "official",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                        "code": "PLAC",
                        "display": "Placer Identifier"
                    }
                ],
                "text": "Placer Identifier"
            },
            "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.798268",
            "value": "1066900"
        },
        {
            "use": "usual",
            "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.798268",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                        "code": "MOPA",
                        "display": "Misses"
                    }
                ]
            },
            "value": "18-4438749"
        }
    ],
    "status": "final",
    "category": [
        {
            "coding": [
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                },
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                }
            ],
            "text": "Lab"
        },
        {
            "coding": [
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                },
                {
                    "system": "urn:oid:1.2.840.114350.1.13.0.1.7.10.798268.30",
                    "code": "Lab"
                }
            ],
            "text": "Lab"
        }
    ],
    "code": {
        "coding": [
            {
                "system": "urn:oid:1.2.840.114350.1.13.0.1.7.2.696580",
                "code": "1696",
                "display": "CBC AND DIFFERENTIAL"
            },
            {
                "system": "urn:oid:2.16.840.1.113883.6.96",
                "code": "9564003",
                "display": "CBC AND DIFFERENTIAL"
            }
        ],
        "text": "CBC and differential"
    },
    "subject": {
        "reference": "Patient/001RO00000AzQZ9YAN",
        "display": "Lopez, Camila Maria"
    },
    
    "effectivePeriod": {
        "start": "2008-06-18T09:23:00+10:00",
        "end": "2009-06-18T09:23:00+10:00"
    },
    "issued": "2019-05-28T14:21:00Z",
    "result": [
        {
            "reference": "Observation/0hIRO000000072A2AQ",
            "display": "Component (1): LEUKOCYTES(10*3/UL) IN BLOOD BY AUTOMATED COUNT"
        },
        {
            "reference": "Observation/0hIRO000000072A2AQ",
            "display": "Component (1): LEUKOCYTES(10*3/UL) IN BLOOD BY AUTOMATED COUNT"
        }
    ]
}
```

#### Responses

*   **200** Request was successful.
    
    Headers:
    
    *   `Location` (string, required) Specifies the URL where the resource can be fetched in subsequent requests.  
        Example: `http://xxx/DiagnosticReport/123`.
    
    Media type: `application/fhir+json`. Schema: `DiagnosticReport (extended)`.
    
    Specifies the base resource.
    
    Includes all fields of `DiagnosticReport`.
    
    *   `id` (_string_, required) Specifies the ID of the created or updated resource.  
        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
    
    _Example: same as POST /DiagnosticReport 201 response._
    
*   **201** Created.
    
    Headers:
    
    *   `Location` (string, required) Specifies the URL where the resource can be fetched in subsequent requests.  
        Example: `http://xxx/DiagnosticReport/123`.
    
    Media type: `application/fhir+json`. Schema: `DiagnosticReport (extended)`.
    
    Specifies the base resource.
    
    Includes all fields of `DiagnosticReport`.
    
    *   `id` (_string_, required) Specifies the ID of the created or updated resource.  
        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
    
    _Example: same as POST /DiagnosticReport 201 response._
    
*   **400** Resource can’t be parsed or failed basic FHIR validation rules.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### GET Retrieves all document references

`GET /DocumentReference`

Retrieves a set of resources by using filters.

#### Parameters

*   `date?` (query, string) Specifies when the document reference was created.
*   `patient` (query, string) Specifies the subject of the document.
*   `X-CORRELATION-ID` (header, string)

#### Responses

*   **200**
    
    Media type: `application/fhir+json`. Schema: `DocumentReferenceBundle (extended)`.
    
    Contains a collection of resources.
    
    *   Rule: total only for search results or history.
    *   Rule: entry.search only for a search request.
    *   Rule: entry.request mandatory for batch, transaction, or history, else prohibited.
    *   Rule: entry.response mandatory for batch-response, transaction-response, or history, else prohibited.
    *   Rule: FullUrl must be unique in a bundle, or else entries with the same fullUrl must have different meta.versionId (except in history bundles).
    *   Rule: A document must have an identifier with a system and a value.
    *   Rule: A document must have a date.
    *   Rule: A document must have a Composition resource as the first resource.
    *   Rule: A message must have a MessageHeader resource as the first resource. Elements defined in Ancestors: id, meta, implicitRules, and language.
    
    Includes all fields of `DocumentReferenceBundle`.
    
    *   `entry` (_array of object_)
        
        An entry in the bundle includes a resource or information.
        
        *   Rule: must be a resource unless there's a request or response.
        *   Rule: fullUrl cannot be a version-specific reference. For bundles of the document and message types, the first resource must be Composition and MessageHeader resources, respectively. For all bundles, the meaning of the order of entries depends on the bundle type.
        
        Each item:
        
        An entry in the bundle includes a resource or information.
        
        *   Rule: The entry must be a resource unless there's a request or response.
        *   Rule: The fullUrl property can't be a version-specific reference. For bundles of the document and message types, the first resource must be Composition and MessageHeader resources, respectively. For all bundles, the meaning of the order of entries depends on the bundle type.
        
        *   `fullUrl` (_string_) Specifies the URI for the resource, which is the absolute URL server address, or the URI for UUID or OID.
        *   `resource` (_object_, required) Specifies the base resource.
            *   `securityLabel` (_array of object_) Specifies a set of security tag codes indicating the level of privacy and security of the document.
                
                Each item: Represents a value that's supplied by providing a reference to one or more terminologies or ontologies, but is also defined by the provision of text. The CodeableConcept type is a common pattern in healthcare data.
                
                *   `coding` (_array of object_) Specifies a code defined by a terminology system.
                    
                    Each item: Represents a defined concept using a symbol from a defined code system. See [Terminologies](http://hl7.org/fhir/STU3/terminologies.html).
                    
                    *   `system` (_string_) Specifies the identity of the terminology system.
                    *   `version` (_string_) Specifies the version of the system, if relevant.
                    *   `code` (_string_) Specifies the symbol in the syntax that's defined by the system.  
                        Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                    *   `display` (_string_) Specifies the representation defined by the system.
                *   `text` (_string_) Represents the meaning of the codeable concept as text.
            *   `subject` (_object_, required) Specifies who or what the document is about. It can be about a person, a device, or even a group of subjects that share common exposure.
                *   `reference` (_string_) Specifies a literal, relative, internal, or absolute URL reference.
                *   `id` (_string_) Specifies the internal ID of the element.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
            *   `authenticator` (_object_) Specifies the participant who has authenticated the document.
                *   `reference` (_string_) Specifies a literal, relative, internal, or absolute URL reference.
                *   `id` (_string_) Specifies the internal ID of the element.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
            *   `context` (_object_) Specifies the clinical encounter or care type that the document content is associated with.
                *   `modifierExtension` (_array of object_) Modifier Extensions
                    
                    Each item: Optional. Specifies the extensions element and rule. Must have either extensions or value\[x\], but not both elements defined in the ancestors ID or extension.
                    
                    *   `url` (_string_, required) Identifies the meaning of the extension.
                    *   `id` (_string_) Specifies the internal ID of the element.  
                        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                    *   `value` (_string_) Specifies the value of the extension.
                *   `id` (_string_) Specifies the internal ID of the element.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                *   `encounter` (_object_) Specifies the context of the document content.
                    *   `reference` (_string_) Specifies a literal, relative, internal, or absolute URL reference.
                    *   `id` (_string_) Specifies the internal ID of the element.  
                        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
            *   `identifier` (_array of object_) Specifies the business identifiers associated with the document, including version-independent identifiers.
                
                Each item: Represents a numeric or alphanumeric string that's associated with a single object or entity within a given system. Typically, identifiers are used to connect the content in the resources to external content available in other frameworks or protocols. Identifiers are associated with objects and can change or retire due to human or system processes and errors.
                
                *   `use` (_string_) usual | official | temp | secondary (If known)  
                    Allowed values: `usual`, `official`, `temp`, `secondary`, `old`. Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                *   `type` (_object_) Describes the identifier.
                    *   `coding` (_array of object_) Specifies a code defined by a terminology system.
                        
                        Each item: Represents a defined concept using a symbol from a defined code system. See [Terminologies](http://hl7.org/fhir/STU3/terminologies.html).
                        
                        *   `system` (_string_) Specifies the identity of the terminology system.
                        *   `version` (_string_) Specifies the version of the system, if relevant.
                        *   `code` (_string_) Specifies the symbol in the syntax that's defined by the system.  
                            Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                        *   `display` (_string_) Specifies the representation defined by the system.
                    *   `text` (_string_) Represents the meaning of the codeable concept as text.
                *   `system` (_string_) Provides the namespace for the identifier value.
                *   `value` (_string_) Specifies the ID value of the identifier.
            *   `id` (_string_) Specifies the ID of the base resource.  
                Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
            *   `docStatus` (_string_) Specifies the status of the underlying document.  
                Allowed values: `preliminary`, `final`, `amended`, `entered-in-error`. Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
            *   `date` (_string_) Specifies when the document reference was created.  
                Pattern: ^\[0-9\]{4}(-(0\[1-9\]|1\[0-2\])(-(0\[0-9\]|\[1-2\]\[0-9\]|3\[0-1\])(T(\[01\]\[0-9\]|2\[0-3\]):\[0-5\]\[0-9\]:\[0-5\]\[0-9\](https://./[0-9/]+)?(Z|(\\+|-)((0\[0-9\]|1\[0-3\]):\[0-5\]\[0-9\]|14:00)))))$.
            *   `relatesTo` (_array of object_) Specifies the details of how the document relates to other document references that exist.
                *   `modifierExtension` (_array of object_) Modifier Extensions
                    
                    Each item: Optional. Specifies the extensions element and rule. Must have either extensions or value\[x\], but not both elements defined in the ancestors ID or extension.
                    
                    *   `url` (_string_, required) Identifies the meaning of the extension.
                    *   `id` (_string_) Specifies the internal ID of the element.  
                        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                    *   `value` (_string_) Specifies the value of the extension.
                *   `code` (_string_, required) Specifies how the document relates to another document.  
                    Allowed values: `replaces`, `transforms`, `signs`, `appends`. Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                *   `id` (_string_) Specifies the unique identifier for inter-element referencing.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                *   `target` (_object_, required) Specifies the target of the relationship.
                    *   `reference` (_string_) Specifies a literal, relative, internal, or absolute URL reference.
                    *   `id` (_string_) Specifies the internal ID of the element.  
                        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
            *   `custodian` (_object_) Specifies the organization or group that is responsible for the maintenance of the document.
                *   `reference` (_string_) Specifies a literal, relative, internal, or absolute URL reference.
                *   `id` (_string_) Specifies the internal ID of the element.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
            *   `category` (_array of object_, required) Specifies the categorization for the type of document referenced that helps with indexing and searching.
                
                Each item: Represents a value that's supplied by providing a reference to one or more terminologies or ontologies, but is also defined by the provision of text. The CodeableConcept type is a common pattern in healthcare data.
                
                *   `coding` (_array of object_) Specifies a code defined by a terminology system.
                    
                    Each item: Represents a defined concept using a symbol from a defined code system. See [Terminologies](http://hl7.org/fhir/STU3/terminologies.html).
                    
                    *   `system` (_string_) Specifies the identity of the terminology system.
                    *   `version` (_string_) Specifies the version of the system, if relevant.
                    *   `code` (_string_) Specifies the symbol in the syntax that's defined by the system.  
                        Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                    *   `display` (_string_) Specifies the representation defined by the system.
                *   `text` (_string_) Represents the meaning of the codeable concept as text.
            *   `type` (_object_, required) Specifies the type of document referenced, such as Discharge Summary and Progress Note.
                *   `coding` (_array of object_) Specifies a code defined by a terminology system.
                    
                    Each item: Represents a defined concept using a symbol from a defined code system. See [Terminologies](http://hl7.org/fhir/STU3/terminologies.html).
                    
                    *   `system` (_string_) Specifies the identity of the terminology system.
                    *   `version` (_string_) Specifies the version of the system, if relevant.
                    *   `code` (_string_) Specifies the symbol in the syntax that's defined by the system.  
                        Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                    *   `display` (_string_) Specifies the representation defined by the system.
                *   `text` (_string_) Represents the meaning of the codeable concept as text.
            *   `description` (_string_) Specifies the human-readable description of the source document.
            *   `content` (_array of object_, required) Specifies the document and format referenced.
                *   `format` (_object_) Specifies the format and content rules for the document.
                    *   `code` (_string_) Specifies the symbol in the syntax that's defined by the system.  
                        Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                    *   `version` (_string_) Specifies the version of the system, if relevant.
                    *   `display` (_string_) Specifies the representation defined by the system.
                    *   `system` (_string_) Specifies the identity of the terminology system.
                *   `modifierExtension` (_array of object_) Modifier Extensions
                    
                    Each item: Optional. Specifies the extensions element and rule. Must have either extensions or value\[x\], but not both elements defined in the ancestors ID or extension.
                    
                    *   `url` (_string_, required) Identifies the meaning of the extension.
                    *   `id` (_string_) Specifies the internal ID of the element.  
                        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                    *   `value` (_string_) Specifies the value of the extension.
                *   `id` (_string_) Specifies the internal ID of the element.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                *   `attachment` (_object_, required) Specifies the document or URL to access the content.
                    *   `creation` (_string_) Specifies the date when the attachment was created.  
                        Pattern: ^\[0-9\]{4}(-(0\[1-9\]|1\[0-2\])(-(0\[0-9\]|\[1-2\]\[0-9\]|3\[0-1\])(T(\[01\]\[0-9\]|2\[0-3\]):\[0-5\]\[0-9\]:\[0-5\]\[0-9\](https://./[0-9/]+)?(Z|(\\+|-)((0\[0-9\]|1\[0-3\]):\[0-5\]\[0-9\]|14:00)))?)?)?$.
                    *   `size` (_integer_) Specifies the number of bytes of content if the URL is provided.  
                        Minimum: 0.
                    *   `contentType` (_string_) Specifies the type of data in the attachment and allows a method to interpret or render the data. Includes mime type parameters such as charset where appropriate.  
                        Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                    *   `id` (_string_) Specifies the internal ID of the element.  
                        Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
                    *   `language` (_string_) Specifies the human language of the content (BCP 47).  
                        Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
                    *   `title` (_string_) Specifies a label to display in place of the data. The default value is Unknown.
                    *   `data` (_string_, required) Specifies the data of the attachment in a sequence of bytes, base64 encoded.  
                        Pattern: ^(\[A-Za-z0-9+/\]{4})\*(\[A-Za-z0-9+/\]{2}==|\[A-Za-z0-9+/\]{3}=)?$.
            *   `status` (_string_, required) Specifies the status of the document reference.  
                Allowed values: `current`, `superseded`, `entered-in-error`. Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
            *   `author` (_array of object_) Specifies the author of the document.
                
                Each item: Specifies the defined elements in a resource that are references to other resources. Using the references, the resources combine to build a web of information about healthcare.
                
                *   `reference` (_string_) Specifies a literal, relative, internal, or absolute URL reference.
                *   `id` (_string_) Specifies the internal ID of the element.  
                    Pattern: ^\[A-Za-z0-9\\-\\.\]{1,64}$.
        *   `search` (_object_) Provides the search-related information.
            *   `mode` (_string_) Specifies the search mode and criteria. Possible values are match, include, and outcome.  
                Allowed values: `match`, `include`, `outcome`. Pattern: ^(\[^\\s\]+(\[\\s\]+\[^\\s\]+)\*)?$.
    
    _Example_
    
    ```
    {
        "resourceType": "Bundle",
        "id": "abcb6829-0c86-4d35-b94f-65dd1750ae4f",
        "meta": {
            "lastUpdated": "2020-08-27T18:32:44.584+00:00"
        },
        "type": "searchset",
        "link": [
            {
                "relation": "self",
                "url": "http://hapi.fhir.org/baseR4/DocumentReference?_pretty=true"
            },
            {
                "relation": "next",
                "url": "http://hapi.fhir.org/baseR4?_getpages=abcb6829-0c86-4d35-b94f-65dd1750ae4f&_getpagesoffset=20&_count=20&_pretty=true&_bundletype=searchset"
            }
        ],
        "entry": [
            {
                "fullUrl": "http://hapi.fhir.org/baseR4/DocumentReference/101249",
                "resource": {
                    "resourceType": "DocumentReference",
                    "id": "101249",
                    "meta": {
                        "versionId": "1",
                        "lastUpdated": "2019-11-26T19:49:05.117+00:00",
                        "source": "#ByZ1qz2HcbcCS4xc",
                        "profile": [
                            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference"
                        ]
                    },
                    "status": "superseded",
                    "type": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "34117-2",
                                "display": "History and physical note"
                            },
                            {
                                "system": "http://loinc.org",
                                "code": "51847-2",
                                "display": "Evaluation+Plan note"
                            }
                        ]
                    },
                    "category": [
                        {
                            "coding": [
                                {
                                    "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                                    "code": "clinical-note",
                                    "display": "Clinical Note"
                                }
                            ]
                        }
                    ],
                    "subject": {
                        "reference": "Patient/101047"
                    },
                    "date": "2019-01-11T19:55:14.357-05:00",
                    "author": [
                        {
                            "reference": "Practitioner/101101",
                            "display": "Dr. Karl184 Nader710"
                        }
                    ],
                    "content": [
                        {
                            "attachment": {
                                "contentType": "text/plain",
                                "data": "CjIwMTktMDEtMTEKCiMgQ2hpZWYgQ29tcGxhaW50Ck5vIGNvbXBsYWludHMuCgojIEhpc3Rvcnkgb2YgUHJlc2VudCBJbGxuZXNzCkJyaWdpdHRlMzk0IGlzIGEgMTUgeWVhci1vbGQgbm9uLWhpc3BhbmljIGJsYWNrIGZlbWFsZS4gUGF0aWVudCBoYXMgYSBoaXN0b3J5IG9mIHN0cmVwdG9jb2NjYWwgc29yZSB0aHJvYXQgKGRpc29yZGVyKSwgYWN1dGUgdmlyYWwgcGhhcnluZ2l0aXMgKGRpc29yZGVyKSwgZnJhY3R1cmUgb2YgY2xhdmljbGUuCgojIFNvY2lhbCBIaXN0b3J5CiBQYXRpZW50IGhhcyBuZXZlciBzbW9rZWQuCgpQYXRpZW50IGNvbWVzIGZyb20gYSBsb3cgc29jaW9lY29ub21pYyBiYWNrZ3JvdW5kLiBQYXRpZW50IGN1cnJlbnRseSBoYXMgTWVkaWNhaWQuCgojIEFsbGVyZ2llcwpObyBLbm93biBBbGxlcmdpZXMuCgojIE1lZGljYXRpb25zCnBlbmljaWxsaW4gdiBwb3Rhc3NpdW0gMjUwIG1nIG9yYWwgdGFibGV0OyBzZWFzb25pcXVlIDkxIGRheSBwYWNrOyBhY2V0YW1pbm9waGVuIDMyNSBtZyAvIG94eWNvZG9uZSBoeWRyb2NobG9yaWRlIDUgbWcgb3JhbCB0YWJsZXQ7IGFjZXRhbWlub3BoZW4gMzAwIG1nIC8gaHlkcm9jb2RvbmUgYml0YXJ0cmF0ZSA1IG1nIG9yYWwgdGFibGV0OyBhYnVzZS1kZXRlcnJlbnQgMTIgaHIgb3h5Y29kb25lIGh5ZHJvY2hsb3JpZGUgMTUgbWcgZXh0ZW5kZWQgcmVsZWFzZSBvcmFsIHRhYmxldDsgYWNldGFtaW5vcGhlbiAxNjAgbWcgY2hld2FibGUgdGFibGV0CgojIEFzc2Vzc21lbnQgYW5kIFBsYW4KCgojIyBQbGFuCgpUaGUgcGF0aWVudCB3YXMgcHJlc2NyaWJlZCB0aGUgZm9sbG93aW5nIG1lZGljYXRpb25zOgotIGFidXNlLWRldGVycmVudCAxMiBociBveHljb2RvbmUgaHlkcm9jaGxvcmlkZSAxNSBtZyBleHRlbmRlZCByZWxlYXNlIG9yYWwgdGFibGV0Cg==",
                                "title": "Label to display in place of the data"
                            }
                        }
                    ],
                    "context": {
                        "encounter": 
                            {
                                "reference": "Encounter/101245"
                            }
                        ,
                        "period": {
                            "start": "2019-01-11T19:55:14-05:00",
                            "end": "2019-01-12T19:55:14-05:00"
                        }
                    }
                },
                "search": {
                    "mode": "match"
                }
            },
            {
                "fullUrl": "http://hapi.fhir.org/baseR4/DocumentReference/101244",
                "resource": {
                    "resourceType": "DocumentReference",
                    "id": "101244",
                    "meta": {
                        "versionId": "1",
                        "lastUpdated": "2019-11-26T19:49:05.117+00:00",
                        "source": "#ByZ1qz2HcbcCS4xc",
                        "profile": [
                            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-documentreference"
                        ]
                    },
                    "status": "superseded",
                    "type": {
                        "coding": [
                            {
                                "system": "http://loinc.org",
                                "code": "34117-2",
                                "display": "History and physical note"
                            },
                            {
                                "system": "http://loinc.org",
                                "code": "51847-2",
                                "display": "Evaluation+Plan note"
                            }
                        ]
                    },
                    "category": [
                        {
                            "coding": [
                                {
                                    "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-documentreference-category",
                                    "code": "clinical-note",
                                    "display": "Clinical Note"
                                }
                            ]
                        }
                    ],
                    "subject": {
                        "reference": "Patient/101047"
                    },
                    "date": "2018-10-06T20:55:14.357-04:00",
                    "author": [
                        {
                            "reference": "Practitioner/101101",
                            "display": "Dr. Karl184 Nader710"
                        }
                    ],
                    "content": [
                        {
                            "attachment": {
                                "contentType": "text/plain",
                                "title": "Label to display in place of the data",
                                "data": "CjIwMTgtMTAtMDYKCiMgQ2hpZWYgQ29tcGxhaW50Ck5vIGNvbXBsYWludHMuCgojIEhpc3Rvcnkgb2YgUHJlc2VudCBJbGxuZXNzCkJyaWdpdHRlMzk0IGlzIGEgMTUgeWVhci1vbGQgbm9uLWhpc3BhbmljIGJsYWNrIGZlbWFsZS4gUGF0aWVudCBoYXMgYSBoaXN0b3J5IG9mIHN0cmVwdG9jb2NjYWwgc29yZSB0aHJvYXQgKGRpc29yZGVyKSwgYWN1dGUgdmlyYWwgcGhhcnluZ2l0aXMgKGRpc29yZGVyKSwgZnJhY3R1cmUgb2YgY2xhdmljbGUuCgojIFNvY2lhbCBIaXN0b3J5CiBQYXRpZW50IGhhcyBuZXZlciBzbW9rZWQuCgpQYXRpZW50IGNvbWVzIGZyb20gYSBsb3cgc29jaW9lY29ub21pYyBiYWNrZ3JvdW5kLiBQYXRpZW50IGN1cnJlbnRseSBoYXMgTWVkaWNhaWQuCgojIEFsbGVyZ2llcwpObyBLbm93biBBbGxlcmdpZXMuCgojIE1lZGljYXRpb25zCnBlbmljaWxsaW4gdiBwb3Rhc3NpdW0gMjUwIG1nIG9yYWwgdGFibGV0OyBzZWFzb25pcXVlIDkxIGRheSBwYWNrOyBhY2V0YW1pbm9waGVuIDMyNSBtZyAvIG94eWNvZG9uZSBoeWRyb2NobG9yaWRlIDUgbWcgb3JhbCB0YWJsZXQ7IGFjZXRhbWlub3BoZW4gMzAwIG1nIC8gaHlkcm9jb2RvbmUgYml0YXJ0cmF0ZSA1IG1nIG9yYWwgdGFibGV0OyBhYnVzZS1kZXRlcnJlbnQgMTIgaHIgb3h5Y29kb25lIGh5ZHJvY2hsb3JpZGUgMTUgbWcgZXh0ZW5kZWQgcmVsZWFzZSBvcmFsIHRhYmxldDsgYWNldGFtaW5vcGhlbiAxNjAgbWcgY2hld2FibGUgdGFibGV0CgojIEFzc2Vzc21lbnQgYW5kIFBsYW4KCgojIyBQbGFuCgpUaGUgZm9sbG93aW5nIHByb2NlZHVyZXMgd2VyZSBjb25kdWN0ZWQ6Ci0gZXh0cmFjdGlvbiBvZiB3aXNkb20gdG9vdGgKVGhlIHBhdGllbnQgd2FzIHByZXNjcmliZWQgdGhlIGZvbGxvd2luZyBtZWRpY2F0aW9uczoKLSBhY2V0YW1pbm9waGVuIDMwMCBtZyAvIGh5ZHJvY29kb25lIGJpdGFydHJhdGUgNSBtZyBvcmFsIHRhYmxldAo="
                            }
                        }
                    ],
                    "context": {
                        "encounter": 
                            {
                                "reference": "Encounter/101239"
                            }
                        ,
                        "period": {
                            "start": "2018-10-06T20:55:14-04:00",
                            "end": "2018-10-07T21:10:14-04:00"
                        }
                    }
                },
                "search": {
                    "mode": "match"
                }
            }
        ]
    }
    ```
    
*   **503** There was an error connecting to Salesforce.
    
    Media type: `application/fhir+json`. Schema: `OperationOutcome`.
    
    _Example: same as GET /Observation 503 response._
    

### POST Creates a document reference

`POST /DocumentReference`

Creates an Observation, DiagnosticReport, or DocumentReference record.

#### Parameters

*   `X-CORRELATION-ID` (header, string)
*   `Accept` (header, string)  
    Allowed values: `application/fhir+json`.

#### Request body

Media type: `application/fhir+json`. Schema: `DocumentReference`.

Specifies the base resource.

_Example_

```
{
    "resourceType": "DocumentReference",
    "identifier": [
        {
            "system": "http://snomed.info/sct",
            "value": "100898977709080901",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0204",
                        "code": "676705",
                        "display": "MisterKWOK9"
                    },
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0204",
                        "code": "676706",
                        "display": "MisterKWOK9"
                    },
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0204",
                        "code": "676707",
                        "display": "MisterKWOK9"
                    }
                ],
                "text": "Identifier Bundle"
            }
        },
        {
            "system": "http://snomed.info/sct",
            "value": "1008989777090804",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0204",
                        "code": "7879801",
                        "display": "MisterKWOK9"
                    }
                ],
                "text": "Identifier Bundle"
            }
        }
    ],
    "status": "current",
    "docStatus": "preliminary",
    "type": {
        "coding": [
            {
                "system": "http://snomed.info/sct",
                "code": "SR12343",
                "display": "VAG HYSTERECTOMY NEC/NOS"
            },
            {
                "system": "http://snomed.info/sct",
                "code": "SR12344",
                "display": "VAG HYSTERECTOMY NEC/NOS"
            }
        ]
    },
    "category": [
        {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "SR12346",
                    "display": "VAG HYSTERECTOMY NEC/NOS"
                }
            ]
        },
        {
            "coding": [
                {
                    "system": "http://snomed.info/sct",
                    "code": "SR12347",
                    "display": "VAG HYSTERECTOMY NEC/NOS"
                }
            ]
        }
    ],
    "subject": {
        "reference": "Patient/001SG000004bPI5YAM"
    },
    "date": "2023-05-11T14:25:24.000Z",
    "author": [
        {
            "reference": "Patient/001SG000004bPI5YAM"
        },
        {
            "reference": "Practitioner/0cmSG0000000MrlYAE"
        }
    ],
    "authenticator": {
        "reference": "Practitioner/0cmSG0000000MrlYAE"
    },
    "custodian": {
        "reference": "Organization/001SG000004bYV3YAM"
    },
    "relatesTo": [
        {
            "code": "replaces",
            "target": {
                "reference": "DocumentReference/0lQSG00000000Kz2AI"
            }
        },
        {
            "code": "replaces",
            "target": {
                "reference": "DocumentReference/0lQSG00000000Kz2AI"
            }
        }
    ],
    "description": "Human-readable description",
    "securityLabel": [
        {
            "coding": [
                {
                    "system": "http://hl7.org/fhir/sid/icd-9-cm",
                    "code": "6259",
                    "display": "FEM GENITAL SYMPTOMS NEC"
                }
            ]
        },
        {
            "coding": [
                {
                    "system": "http://hl7.org/fhir/sid/icd-9-cm",
                    "code": "6260",
                    "display": "FEM GENITAL SYMPTOMS NEC"
                }
            ]
        }
    ],
    "content": [
        {
            "attachment": {
                "contentType": "MR245",
                "language": "ENG",
                "data": "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
[...]
